Subject: Re: bug#31325: 27.0.50; PROPOSAL: introduce a new function to recenter without redisplaying the frame

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jul 2018 21:05:07 +0300

> From: John Shahid <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 01 Jul 2018 17:18:08 +0000
> 
> >> It just occurred to me that this change will break backward
> >> comparability for those who bind some key to the `recenter' command,
> >> since now the second argument will always be nil and thus won't
> >> redisplay.  Should we also change the interactive form of recenter to
> >> use "p" for the second argument?  That way the second arg is never nil
> >> when used interactively.
> >
> > I think you are right.
> >
> > Alternatively, we could simply make 'recenter' behave specially in
> > interactive invocations.  But in any case, incompatible changes in
> > behavior are bad, and should be avoided.
> 
> I am happy to make the change. Should we just revert this patch and
> instead of adding a new argument change the behavior of`recenter' to
> redraw if called interactively ?
> 
> How can we determine from C whether the function is called interactively
> ? Is it ok to use `called-interactively-p' ?

That'd be gross, I think.  Going through the interactive spec, as you
suggested originally, should be much simpler.